# Get Channels GET https://api.shipbob.com/2026-01/channel Retrieves a paginated list of channels that the authenticated user has access to based on the provided access token. Reference: https://developer.shipbob.com/api/channels/get-channels ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get Channels version: endpoint_channels.getChannels paths: /2026-01/channel: get: operationId: get-channels summary: Get Channels description: > Retrieves a paginated list of channels that the authenticated user has access to based on the provided access token. tags: - - subpackage_channels parameters: - name: RecordsPerPage in: query description: >- The number of records to return per page. This parameter is used for pagination. If not provided, a default value will be used. required: false schema: type: integer default: 50 - name: Cursor in: query description: >- A cursor for pagination. This parameter is used to fetch the next set of results. required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Channels.ChannelsV2ViewModel' '400': description: Bad Request content: {} '401': description: Unauthorized content: {} '403': description: Forbidden content: {} components: schemas: Channels.ChannelViewModel: type: object properties: application_name: type: - string - 'null' description: Name of the application that owns the channel id: type: integer description: Unique id of the channel name: type: - string - 'null' description: Name of the channel scopes: type: - array - 'null' items: type: string description: Array of permissions granted for the channel Channels.ChannelsV2ViewModel: type: object properties: items: type: - array - 'null' items: $ref: '#/components/schemas/Channels.ChannelViewModel' description: List of channels next: type: - string - 'null' description: Next page url prev: type: - string - 'null' description: Previous page url ``` ## SDK Code Examples ```python Channels_getChannels_example import requests url = "https://api.shipbob.com/2026-01/channel" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Channels_getChannels_example const url = 'https://api.shipbob.com/2026-01/channel'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Channels_getChannels_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/channel" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Channels_getChannels_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/channel") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Channels_getChannels_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/channel") .header("Authorization", "Bearer ") .asString(); ``` ```php Channels_getChannels_example request('GET', 'https://api.shipbob.com/2026-01/channel', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Channels_getChannels_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/channel"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Channels_getChannels_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/channel")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```